Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515438 - [RFE] Support standard structured image scan annotation
Summary: [RFE] Support standard structured image scan annotation
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: SmartState Analysis
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: GA
: 5.9.0
Assignee: Erez Freiberger
QA Contact: brahmani
URL:
Whiteboard: container
Depends On: 1458678
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-20 19:30 UTC by Satoe Imaishi
Modified: 2018-03-01 13:21 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of: 1458678
Environment:
Last Closed: 2018-03-01 13:21:17 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2018:0380 normal SHIPPED_LIVE Moderate: Red Hat CloudForms security, bug fix, and enhancement update 2018-03-01 18:37:12 UTC

Comment 2 CFME Bot 2017-11-29 20:24:00 UTC
New commit detected on ManageIQ/manageiq/gaprindashvili:
https://github.com/ManageIQ/manageiq/commit/3ec3b2e1852e8a7883a96eaeb6607e1d158bc3f6

commit 3ec3b2e1852e8a7883a96eaeb6607e1d158bc3f6
Author:     Gregg Tanzillo <gtanzill@redhat.com>
AuthorDate: Mon Nov 20 09:24:08 2017 -0500
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Nov 20 14:32:10 2017 -0500

    Merge pull request #15031 from enoodle/container_ssa_annotate_success
    
    Container ssa annotate success
    (cherry picked from commit 9835af3b3e53525a3dbb6745b4718866890edd4f)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1515438

 app/models/miq_action.rb        | 11 ++++++-----
 db/fixtures/miq_actions.csv     |  2 ++
 db/fixtures/miq_policy_sets.yml | 19 +++++++++++++++++--
 spec/models/miq_action_spec.rb  |  4 ++--
 4 files changed, 27 insertions(+), 9 deletions(-)

Comment 3 brahmani 2017-11-30 11:48:13 UTC
Verified on 5.9.0.11.20171127204214_e316988.
after run SSA on Container Image.
on openshift run:

oc get image sha256:105dd6e8e518b5f632e550ac8edeef52c5079c7fb102fc55db45d3b52d8053c1 -o yaml

get output:

metadata:
  annotations:
    images.openshift.io/deny-execution: "true"
    quality.images.openshift.io/vulnerability.openscap: '{"name":"ManageIQ","timestamp":1512042083,"description":"OpenSCAP
      Score","reference":"","compliant":false,"summary":[{"label":"Critical","severityIndex":3,"data":6},{"label":"Important","severityIndex":2,"data":10},{"label":"Medium","severityIndex":1,"data":0},{"label":"Low","severityIndex":0,"data":0}]}'
    security.manageiq.org/failed-policy: openscap policy
    security.manageiq.org/successful-policy: openscap policy

Comment 6 errata-xmlrpc 2018-03-01 13:21:17 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0380


Note You need to log in before you can comment on or make changes to this bug.